#anagrammi-text {
  font-size: 20px;
  font-weight: bold;
  color: #EC642A;
  text-shadow: 1px 2px #ffb99b;
  margin: -5px 0px 10px 60px;
  cursor: default;
}

#anagrammit-container {
  margin-top: 24vh;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}

#game-container {
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
  clear: both;
}

#message {
	margin: 14px;
}

#vastaus {
  height: 70px;
  width: 300px;
  font-size: 30px;
  margin-bottom: 28px;
  border-radius: 5px;
  box-shadow: 0 0 4px 1px #888 inset;
  background: #fff;
  border-width: 0px;
  padding: 6px;
  outline-color: #EC642A;
}

#vastaus:focus {
  border-width: 3px;
}

#vastaus.wrong {
  outline-color: #b30000;
  border: 4px solid #b30000;
}

#vastaus.wrong:focus {
  outline-color: #b30000;
  border: 4px solid #b30000;
}

#vastaus.wrong:focus-visible {
  outline-color: #b30000;
  border: 4px solid #b30000;
}

#vastaus.right {
  outline-color: #0f9300;
  border: 4px solid #0f9300;
}

#vastaus.right:focus {
  outline-color: #0f9300;
  border: 4px solid #0f9300;
}

#vastaus.right:focus-visible {
  outline-color: #0f9300;
  border: 4px solid #0f9300;
}

#anagrammi {
  border: 4px solid black;
  text-align: center;
  background-color:#0165B0;
  color: white;
  padding: 4px 8px;
  font-size: 32px;
}

#ajastin {
  display: inline-block;
  margin-right: 4px;
  font-size: 20px;
  font-weight: bold;
  float: right;
}

.points {
  display: inline-block;
  margin-left: 4px;
	text-align: left;
  font-size: 16px;
  font-weight: bold;
}

#check-answer-button {
  margin-top: 20px;
}

#startBtn {
  text-align: center;
  background-color: #0165B0;
  color: white;
  padding: 4px 8px;
  font-size: 40px;
  width: 125px;
  margin-top: 20vh;
}

#points-container {
  display: none;
  margin-top: 20px;
}

.anagram-header {
  margin: 0px 0px 10px 0px;
}

#anagrams-gamearea {
  text-align: center;
  display: none;
  flex-direction: column;
  align-items: center;
}

#anagrams-gamearea-hidden {
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}

#time-up {
  display: none;
  flex-direction: column;
  align-items: center;
}

#end-game {
  display: none;
  flex-direction: column;
  align-items: center;
  margin-top: 8vh;
}

#end-score {
  font-weight: bold;
}

#end-amount {
  font-weight: bold;
}

#mitalli {
  width: 140px;
  height: 140px;
  display: none;
}

#good-try {
  display: none;
}

#lastAnagram {
  font-weight: bold;
}

.end-text {
	margin-bottom: 40px;
}

#clock-icon {
  width: 50px;
  height: 50px;
  vertical-align: middle;
  float: right;
  margin-right: 30px;
  margin-top: 4px;
}

#anagram-icon {
  width: 60px;
  height: 60px;
  vertical-align: middle;
  float: right;
  margin-right: 30px;
}

#nextanagram {
  display: none;
  margin-top: 0px;
  margin-bottom: 40px;
}

#guideBtn {
  text-align: center;
}

.bottoms-buttons {
  position: fixed;
  bottom: 0px;
}

@media only screen and (min-width: 1010px) {

  #ajastin {
    margin-right:30%;
  }
  
  .points {
    margin-left: 30%;
  }

}

@media only screen and (min-width: 1030px) {

  #anagrammi-text {
      display: none;
  }

}

@media only screen and (max-height: 550px) {

  .bottoms-buttons {
      position: relative;
  }

}